Skip to main content
DELETE
/
employees
/
{employeeId}
/
taken
/
{id}
Delete holiday taken record
curl --request DELETE \
  --url https://api.sandbox.flowpayroll.ai/v1/holiday/employees/{employeeId}/taken/{id} \
  --header 'X-Auth-Token: <api-key>'
{
  "message": {
    "text": "<string>",
    "token": "<string>",
    "tokenArguments": [
      {
        "name": "<string>",
        "value": "<string>"
      }
    ]
  },
  "content": {
    "data": {
      "id": "<string>",
      "organisationId": "<string>",
      "employeeId": "<string>",
      "date": "<string>",
      "description": "<string>",
      "hours": 123,
      "rate": 123,
      "value": 123,
      "createdBy": "<string>",
      "createdDate": "2023-11-07T05:31:56Z",
      "updatedBy": "<string>",
      "updatedDate": "2023-11-07T05:31:56Z"
    },
    "metadata": {
      "dateFormat": "<string>",
      "dateTimeFormat": "<string>"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.flowpayroll.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-Auth-Token
string
header
required

Authentication token for API access

Path Parameters

employeeId
string
required
id
string
required

Response

OK

message
object
content
object